## glfilterlaplacian

glfilterlaplacian — Laplacian Convolution Demo Filter

## Synopsis

    struct              GstGLFilterLaplacian;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLFilterLaplacian

## Description

Laplacian Convolution Demo Filter.

### Examples

    1

    gst-launch videotestsrc ! glupload ! glfilterlaplacian ! glimagesink

FBO (Frame Buffer Object) and GLSL (OpenGL Shading Language) are required.

## Synopsis

### Element Information

plugin | opengl
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Filter/Effect

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstGLFilterLaplacian

    struct GstGLFilterLaplacian;